## cfflib 2.0.5

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

  
clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ConnectomeFileFormatLibrary.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ConnectomeFileFormatLibrary.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
cfflib (2.0.5-3) unstable; urgency=medium

  * Take over into Debian Med team
  * cme fix dpkg-control
  * debhelper 11
  * Simplify d/rules
  * Work around issue in test suite
    Closes: #877151, #896309
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 13:35:08 +0200

cfflib (2.0.5-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.  Closes: #807760
  * Run wrap-and-sort

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Jan 2016 19:18:17 +0000

cfflib (2.0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Stefano Rivera ]
  * Port from python-support to dh_python2 (Closes: #785968).
  * Drop unused and unnecessary Provides: ${python:Provides}.
  * Replace pyversions with X-Python-Version.

  [ Mattia Rizzolo ]
  * debian/copyright: update header to follow the last spec.
  * Bump Standards-Versions to 3.9.6, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 11 Dec 2015 23:59:09 +0000

cfflib (2.0.5-1) unstable; urgency=low

  * Initial release (Closes: #624456).

 -- Stephan Gerhard <debian@unidesign.ch>  Thu, 28 Apr 2011 10:49:57 +0200

=== debian/control ===
Source: cfflib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all,
               python-networkx,
               python-nibabel,
               python-nose,
               python-numpy,
               python-sphinx
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/cfflib
Vcs-Git: https://salsa.debian.org/med-team/cfflib.git
Homepage: http://cmtk.org/cfflib

Package: python-cfflib
Architecture: all
Depends: python-lxml,
         python-networkx,
         python-nibabel,
         python-numpy,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-h5py,
            python-nose,
            python-sphinx,
            python-tables
Description: Multi-modal connectome and metadata management and integration
 The Connectome File Format Library (cfflib) is a Python module for
 multi-modal neuroimaging connectome data and metadata management and
 integration.
 .
 It enables single subject and multi-subject data integration for a
 variety of modalities, such as networks, surfaces, volumes, fiber
 tracks, timeseries, scripts, arbitrary data objects such as
 homogeneous arrays or CSV/JSON files. It relies on existing Python
 modules and the standard library for basic data I/O, and adds a layer
 of metadata annotation as tags or with structured properties to
 individual data objects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE_NAME = cfflib

%:
	dh $@ --with python2 --buildsystem=pybuild
	
override_dh_auto_clean:
	dh_auto_clean
	-rm -rf doc/build

=== debian/watch ===
version=4

https://github.com/LTS5/cfflib/releases .*/archive/release/@ANY_VERSION@@ARCHIVE_EXT@
